<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Though scala functions has &quot;col&quot; function, we don't expose it...</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for col {SparkR}"><tr><td>col {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Though scala functions has &quot;col&quot; function, we don't expose it in SparkR
because we don't want to conflict with the &quot;col&quot; function in the R base
package and we also have &quot;column&quot; function exported which is an alias of &quot;col&quot;.</h2>

<h3>Description</h3>

<p>Though scala functions has &quot;col&quot; function, we don't expose it in SparkR
because we don't want to conflict with the &quot;col&quot; function in the R base
package and we also have &quot;column&quot; function exported which is an alias of &quot;col&quot;.
</p>
<p>Returns a Column based on the given column name.
</p>


<h3>Usage</h3>

<pre>
col(x)

## S4 method for signature 'character'
column(x)

column(x)
</pre>


<h3>See Also</h3>

<p>Other normal_funcs: <code><a href="abs.html">abs</a></code>;
<code><a href="bitwiseNOT.html">bitwiseNOT</a></code>, <code><a href="bitwiseNOT.html">bitwiseNOT</a></code>;
<code><a href="expr.html">expr</a></code>, <code><a href="expr.html">expr</a></code>;
<code><a href="greatest.html">greatest</a></code>, <code><a href="greatest.html">greatest</a></code>;
<code><a href="ifelse.html">ifelse</a></code>; <code><a href="is.nan.html">is.nan</a></code>,
<code><a href="is.nan.html">isnan</a></code>, <code><a href="is.nan.html">isnan</a></code>;
<code><a href="least.html">least</a></code>, <code><a href="least.html">least</a></code>;
<code><a href="lit.html">lit</a></code>, <code><a href="lit.html">lit</a></code>;
<code><a href="nanvl.html">nanvl</a></code>, <code><a href="nanvl.html">nanvl</a></code>;
<code><a href="negate.html">negate</a></code>, <code><a href="negate.html">negate</a></code>;
<code><a href="randn.html">randn</a></code>, <code><a href="randn.html">randn</a></code>,
<code><a href="randn.html">randn</a></code>; <code><a href="rand.html">rand</a></code>,
<code><a href="rand.html">rand</a></code>, <code><a href="rand.html">rand</a></code>;
<code><a href="struct.html">struct</a></code>, <code><a href="struct.html">struct</a></code>;
<code><a href="when.html">when</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: column(df)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
